petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatGetRowSum

Gets the sum of each row of the matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetRowSum(Mat mat, Vec v)

Logically or Neighborhood Collective on Mat

### Input Parameters

mat -the matrix

### Output Parameter

v -the vector for storing the sum of rows

### Notes

This code is slow since it is not currently specialized for different formats

### See Also

MatGetDiagonal(), MatCreateSubMatrices(), MatCreateSubMatrix(), MatGetRowMax(), MatGetRowMin()

### Level

intermediate

### Location

src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages